## org.exist.atom.util
Class DOM

    java.lang.Object
      org.exist.atom.util.DOM

public class DOM
extends java.lang.Object

Author:
  R. Alexander Milowski

Method Summary
`static org.w3c.dom.Element` `findChild(org.w3c.dom.Element parent, java.lang.String namespaceName, java.lang.String localName)`
`static void` `findChildren(org.w3c.dom.Element parent, java.lang.String namespaceName, java.lang.String localName, NodeHandler filter)`
`static void` `forEachChild(org.w3c.dom.Element parent, NodeHandler filter)`
`static void` `removeChildren(org.w3c.dom.Element parent)`
`static void` `replaceText(org.w3c.dom.Element textE, java.lang.String value)`
`static org.w3c.dom.Element` `replaceTextElement(org.w3c.dom.Element parent, java.lang.String namespaceName, java.lang.String localName, java.lang.String value, boolean firstChild)`
`static org.w3c.dom.Element` `replaceTextElement(org.w3c.dom.Element parent, java.lang.String namespaceName, java.lang.String localName, java.lang.String value, boolean firstChild, boolean wrap)`
`static java.lang.String` `textContent(org.w3c.dom.Node n)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### forEachChild

    public static void forEachChild(org.w3c.dom.Element parent,
                                    NodeHandler filter)

### findChildren

    public static void findChildren(org.w3c.dom.Element parent,
                                    java.lang.String namespaceName,
                                    java.lang.String localName,
                                    NodeHandler filter)

### findChild

    public static org.w3c.dom.Element findChild(org.w3c.dom.Element parent,
                                                java.lang.String namespaceName,
                                                java.lang.String localName)

### replaceTextElement

    public static org.w3c.dom.Element replaceTextElement(org.w3c.dom.Element parent,
                                                         java.lang.String namespaceName,
                                                         java.lang.String localName,
                                                         java.lang.String value,
                                                         boolean firstChild)

### replaceTextElement

    public static org.w3c.dom.Element replaceTextElement(org.w3c.dom.Element parent,
                                                         java.lang.String namespaceName,
                                                         java.lang.String localName,
                                                         java.lang.String value,
                                                         boolean firstChild,
                                                         boolean wrap)

### replaceText

    public static void replaceText(org.w3c.dom.Element textE,
                                   java.lang.String value)

### removeChildren

    public static void removeChildren(org.w3c.dom.Element parent)

### textContent

    public static java.lang.String textContent(org.w3c.dom.Node n)

Copyright (C) Wolfgang Meier. All rights reserved.